amqp-client

Lua AMQP 0.9.1 client

$ luarocks install amqp-client

A pure Lua Client for AMQP 0.9.1.
This library is already tested with RabbitMQ and should work with any other AMQP 0.9.1 broker and can be used with LuaJIT and does not have to be used only in OpenResty.

Developed by: Meng Zhang, Aleksey Konovkin, 4mig4, Denys Santos and
Sebastian Hübner.

Versions

1.4.0-13 years ago3,751 downloads
1.3.0-14 years ago2,067 downloads
1.2.1-14 years ago98 downloads
1.2.0-14 years ago48 downloads

Dependencies

lua >= 5.1

Dependency for

kong-plugin-amqp

Manifests